MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
emoshapeio::socket::impl Class Reference

## Public Member Functions
| impl (client_impl_base *, std::string const &)
| ~impl ()
void | on (std::string const &event_name, event_listener_aux const &func)
void | on (std::string const &event_name, event_listener const &func)
void | off (std::string const &event_name)
void | off_all ()
void | on_error (error_listener const &l)
void | off_error ()
void | close ()
void | emit (std::string const &name, message::list const &msglist, std::function< void(message::list const &)> const &ack)
std::string const & | get_namespace () const

## Protected Member Functions
void | on_connected ()
void | on_close ()
void | on_open ()
void | on_message_packet (packet const &packet)
void | on_disconnect ()

## Friends
class | socket

## Constructor & Destructor Documentation

## ◆ impl()

emoshapeio::socket::impl::impl | ( | client_impl_base * | client,
|  | std::string const & | nsp )

## ◆ ~impl()

emoshapeio::socket::impl::~impl | ( |  | ) |

## Member Function Documentation

## ◆ close()

void emoshapeio::socket::impl::close | ( |  | ) |

## ◆ emit()

void emoshapeio::socket::impl::emit | ( | std::string const & | name,
|  | message::list const & | msglist,
|  | std::function< void(message::list const &)> const & | ack )

## ◆ get_namespace()

std::string const & emoshapeio::socket::impl::get_namespace | ( |  | ) | const
| inline

## ◆ off()

void emoshapeio::socket::impl::off | ( | std::string const & | event_name | ) |

## ◆ off_all()

void emoshapeio::socket::impl::off_all | ( |  | ) |

## ◆ off_error()

void emoshapeio::socket::impl::off_error | ( |  | ) |

## ◆ on() [1/2]

void emoshapeio::socket::impl::on | ( | std::string const & | event_name,
|  | event_listener const & | func )

## ◆ on() [2/2]

void emoshapeio::socket::impl::on | ( | std::string const & | event_name,
|  | event_listener_aux const & | func )

## ◆ on_close()

void emoshapeio::socket::impl::on_close | ( |  | ) |
| protected

## ◆ on_connected()

void emoshapeio::socket::impl::on_connected | ( |  | ) |
| protected

## ◆ on_disconnect()

void emoshapeio::socket::impl::on_disconnect | ( |  | ) |
| protected

## ◆ on_error()

void emoshapeio::socket::impl::on_error | ( | error_listener const & | l | ) |

## ◆ on_message_packet()

void emoshapeio::socket::impl::on_message_packet | ( | packet const & | packet | ) |
| protected

## ◆ on_open()

void emoshapeio::socket::impl::on_open | ( |  | ) |
| protected

## Friends And Related Symbol Documentation

## ◆ socket

friend class socket
| friend

The documentation for this class was generated from the following file:

- EmoShapeIOLib/Private/sio_socket.cpp